Subject: bug#21702: shell-quote-argument semantics and safety

From: [email-masked] (Taylan Ulrich Bayırlı/Kammer)
Date: Mon, 19 Oct 2015 12:25:17 +0200

Eli Zaretskii <[email-masked]> writes:

>> From: [email-masked] (Taylan Ulrich Bayırlı/Kammer)
>> Cc: [email-masked]
>> Date: Mon, 19 Oct 2015 11:50:23 +0200
>> 
>> I don't understand why you're trying to make everything so difficult.
>
> I don't.  We just disagree, that's all.
>
> I modified the doc string to add the missing information about the
> shells for which the function was designed.  I don't think we should
> add anything else, for the reasons I pointed out already.
>
>> If for reasons unclear to me you absolutely refuse to accept these
>> improvements to shell-quote-argument's documentation, I will just
>> continue not using the function, because it cannot be trusted.
>
> How can documentation make a function more trustworthy?  And what does
> that have to do with this bug report?  This bug report is about the
> documentation of shell-quote-argument, not whether it is safe and
> should or should not be used.
>
> I think this bug should be closed now.

I don't want to repeat myself for the dozenth time so do as you wish,
I'll simply continue not using the function nonchalantly and recommend
others to do the same.

Taylan